Sisimai::Reason::NotAccept(3pm)

NAME
Sisimai::Reason::NotAccept - Bounce reason is "notaccept" or not.

SYNOPSIS
    use Sisimai::Reason::NotAccept;
    print Sisimai::Reason::NotAccept->match('domain does not exist:');   # 1

DESCRIPTION
Sisimai::Reason::NotAccept checks the bounce reason is "notaccept" or not. This class is called only Sisimai::Reason class.

This is the error that a destination mail server does ( or can ) not accept any email. In many case, the server is high load or under the maintenance. Sisimai will set "notaccept" to the reason of email bounce if the value of Status: field in a bounce email is 5.3.2 or the value of SMTP reply code is 556.

CLASS METHODS

  "text()"
text() returns string: "notaccept".

    print Sisimai::Reason::NotAccept->text;  # notaccept

  "match(string)"
match() returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::NotAccept->match('domain does not exist:');   # 1

  "true(Sisimai::Fact)"
true() returns 1 if the bounce reason is "notaccept". The argument must be Sisimai::Fact object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2020-2023 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.